<template>
  <div>
    <NavigationBar title="Cloud"></NavigationBar>

    <SidebarLayout>
      <template v-slot:sidebar>
        <div class="project-details">
          <b-img blank width="48" height="48" blankColor="#777" rounded alt="Rounded image"></b-img>
          <div class="project-details-text">
            <div class="name">{{ user.display_name }}</div>
            <div class="project-type">{{ organization.name }}</div>
          </div>
        </div>

        <SidebarNav>
          <SidebarNavItem 
            text="Dashboard"
            icon="kanban"
            :link="{ name: 'OrganizationDashboard' }"
            :active="sidebarActiveKey == 'dashboard'"
          />
          <SidebarNavItem 
            text="Organization Settings"
            icon="gear"
            :active="sidebarActiveKey == 'settings'" 
          />
        </SidebarNav>
      </template>

      <template v-slot:content>
        <router-view v-on:setSidebarActive="onSetSidebarActive" />
      </template>
    </SidebarLayout>
  </div>
</template>

<script>
import { mapState } from 'vuex'
import NavigationBar from '@/components/Layout/NavigationBar'

import SidebarLayout from '@/components/Layout/SidebarLayout'
import SidebarNav from '@/components/Layout/SidebarNav'
import SidebarNavItem from '@/components/Layout/SidebarNavItem'

export default {
  name: 'OrganizationEntrypoint',
  components: {
    NavigationBar,
    SidebarLayout,
    SidebarNav,
    SidebarNavItem
  },
  data() {
    return {
      sidebarActiveKey: ''
    }
  },
  computed: mapState({
    user: state => state.auth.user,
    organization: state => state.organization.info
  }),
  methods: {
    onSetSidebarActive(value) {
      this.sidebarActiveKey = value;
    }
  }
}
</script>

<style lang="scss" scoped>
.side-nav-card {
  .project-details {
    img {
      vertical-align: top;
    }
    .project-details-text {
      display: inline-block;
      margin-left: 8px;

      .name {
        font-weight: 500;
        font-size: 1.2rem;
      }
      .project-type {
        font-size: 0.8rem;
        font-weight: 200;;
      }
    }
  }
}
</style>